import { Connection } from 'typeorm';
import { UserToken } from './user-token.entity';

export const userTokenProviders = [
  {
    provide: 'USER_TOKEN_REPOSITORY',
    useFactory: (connection: Connection) => connection.getRepository(UserToken),
    inject: ['DATABASE_CONNECTION'],
  },
];
